<div ng-switch="mode">
    <div ng-switch-when="1">
        <input type="number" class="form-control" ng-model="model.salesLength.length" min="0" placeholder="Dł">
    </div>
    <div  ng-switch-when="2" class="input-group" style="display: flex">
        <input type="number" class="form-control" ng-model="model.salesLength.area.a" min="0" placeholder="A">
        <!--<span>X</span>-->
        <input type="number" class="form-control" ng-model="model.salesLength.area.b" min="0" placeholder="B">
    </div>
    <div ng-switch-default>
        wait
    </div>
</div>
